<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1EAGLSupport.html">EAGLSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::EAGLSupport Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#ae417c9443bc3a972b8f81ee4b1d87c21">addConfig</a>(void)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a5258d5d581764d1b66118117c7dc58e4">checkExtension</a>(const String &amp;ext) const </td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#aa27e68cf74b77073a338195ab884feb9">chooseGLConfig</a>(const GLint *attribList, GLint *nElements)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#a18948967220a5d348ef0545ec0d54d63">createPBuffer</a>(PixelComponentType format, size_t width, size_t height)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#aa4d472c8a33b4aa2a50ec430c7a62ae3">createWindow</a>(bool autoCreateWindow, GLESRenderSystem *renderSystem, const String &amp;windowTitle)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#af57269c90da804d46930fe157cd37ba8">EAGLSupport</a>()</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a8581a423171332aed8bfcbff7aa8939a">extensionList</a></td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a3c6377b1c6a522033a8df284902d7c77">getConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a30b27014eed2901c03f71f24b79dceb7">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#add81bc25e8883ae128057f25bb464db9">getDisplayName</a>(void)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#ab45d599678bba056bc1c5bfdf82621df">getGLConfigAttrib</a>(CFDictionaryRef fbConfig, GLint attribute, GLint *value)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a34fc4cc251f4466759d3004dd3674b93">getGLVendor</a>(void) const </td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a2258ed278d0417efc064f5c33ec3b0c1">getGLVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#a7fe5d58416d5be4b208bda9de84e8c00">getProcAddress</a>(const Ogre::String &amp;name)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a454b16b106337c1cb81f078af7d4b349">GLESSupport</a>()</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#afa94fede38d0ff8a33cd24ef7bcc570f">initialiseExtensions</a>()</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#a79409f5c2ffda886fca7a9b17d47edd8">mOptions</a></td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#a8edb560168be17ac8676fd703b6b80c6">newWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#af2a69e506b6be5df83ccdb2f78c419dd">selectGLConfig</a>(const int *minAttribs, const int *maxAttribs)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#aa90028ef0825593ccfeb1945ee9716c7">setConfigOption</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#ac42f75e585fc8e0a994ba9aa04c22f5a">start</a>(void)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#a095af46898522d4058045998c2ff31bd">stop</a>(void)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#a54b25d44f73efccd0390419bd707f847">validateConfig</a>(void)</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EAGLSupport.html#a99414e79f1f8da209cdc22de6647fe09">~EAGLSupport</a>()</td><td><a class="el" href="classOgre_1_1EAGLSupport.html">Ogre::EAGLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLESSupport.html#afdaea2db21d2ca99e90b1f0f3e053446">~GLESSupport</a>()</td><td><a class="el" href="classOgre_1_1GLESSupport.html">Ogre::GLESSupport</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:22
</p>
</body>
</html>
